
Obd Server - Tareas #76

Tareas # 64 (En curso): Responsive design

AJAX calls compatible with IE

03/12/2018 05:37 PM - Jesús Freire

Status: Cerrada Start date:  

Priority: Normal Due date:  

Assignee: Jesús Freire % Done: 100%

Category:  Estimated time: 8:00 hours

Target version: 0.0.9 Spent time: 3:00 hours

Puntos de historia: 4   

Description

Make AJAX calls compatible with Internet Explorer.

Encapsulate the next Javascript code into a function for all dialogs:

var xhttp;

if (window.XMLHttpRequest) {

    // code for IE7+, Firefox, Chrome, Opera, Safari

    xhttp = new XMLHttpRequest();

} else {

    // code for IE6, IE5

    xhttp = new ActiveXObject("Microsoft.XMLHTTP");

}

History

#1 - 03/13/2018 03:09 PM - Jesús Freire

- Status changed from Nueva to En curso

#2 - 03/14/2018 04:32 PM - Jesús Freire

- % Done changed from 20 to 50

- Puntos de historia changed from 0 to 4

#3 - 03/15/2018 10:03 AM - Jesús Freire

- Status changed from En curso to Resuelta

- % Done changed from 50 to 90

Applied in changeset obd-server|r187.

#4 - 03/15/2018 10:06 AM - Jesús Freire

- Status changed from Resuelta to Cerrada

- % Done changed from 90 to 100

Modify .style by .style.display for IE compatibility purposes
